#include<bits/stdc++.h>
using namespace std;

int n,a[100005],t[100005],b[100005],k,r;


void f(int g){
    if(g>0){
        while(b[a[g-1]]==b[a[g]]-1){
            g--;
        }
        g--;
        k++;
        f(g);
    }
}

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    for(int i=1;i<=n;i++){
        cin>>t[i];
        b[t[i]]=i;
    }
    f(n);
    cout<<k<<endl;

    return 0;
}

